# verifyMyEmailChange

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/profile/email/verify |

| Field | Value |
|---|---|
| operationId | verifyMyEmailChange |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /profile/email/verify |
| tags | `My Profile` |
| summary | Verify personal email change with token |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/VerifyEmailDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 204 | Email verified and updated |  |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Verification token not found or already used | #/components/schemas/ApiErrorResponseDto |
| 410 | Verification token expired |  |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
